<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">

<xsl:template match="/">
    <html>
    <head>
        <title>Protokolldatei des Autodesk-Diagnosewerkzeugs</title>
        <style type="text/css">
        body {color: black;}
        h1 {text-align: center;}
        h2 {margin-top: 50px;}
        table {width: 100%;}
        tr.header {background-color: #336699; text-align: center; color: white; font-weight: bold;}
        td {vertical-align: top;}
        td.error {color: red;}
        pre
        {
        white-space: pre-wrap; /* css-3 */
        white-space: -moz-pre-wrap; /* Mozilla, since 1999 */
        white-space: -pre-wrap; /* Opera 4-6 */
        white-space: -o-pre-wrap; /* Opera 7 */
        word-wrap: break-word; /* Internet Explorer 5.5+ */
        }
          </style>
    </head>
    <body>
        <h1>Protokolldatei des Autodesk-Diagnosewerkzeugs</h1>
        <xsl:apply-templates select="LogFile"></xsl:apply-templates>
    </body>
    </html>
</xsl:template>

<xsl:template match="LogFile">
    <h2>Prüfungen</h2>
    <table style="table-layout: fixed;">
        <col width="20%"/>
        <col width="70%"/>
        <col width="10%"/>
        <thead>
            <tr class="header">
                <th>Name</th>
                <th>Informationen</th>
                <th>Ergebnis</th>
            </tr>
        </thead>

        <xsl:apply-templates select="CheckLogItem"></xsl:apply-templates>
    </table>

    <h2>Ausnahmen</h2>
 	<table>
        <thead>
            <tr class="header">
                <th>Titel</th>
                <th>Meldung</th>
            </tr>
        </thead>

        <xsl:apply-templates select="ErrorLogItem"></xsl:apply-templates>
    </table>
</xsl:template>

<xsl:template match="CheckLogItem">
    <xsl:for-each select=".">
        <tr>
            <td><xsl:value-of select="Name"/></td>
            <td><pre><xsl:value-of select="Information"/></pre></td>
            <td><xsl:value-of select="Result"/></td>
        </tr>
    </xsl:for-each>
</xsl:template>

<xsl:template match="ErrorLogItem">
    <xsl:for-each select=".">
        <tr>
            <td class="error"><xsl:value-of select="Title"/></td>
            <td class="error"><xsl:value-of select="Message"/></td>
        </tr>
    </xsl:for-each>
</xsl:template>

</xsl:stylesheet>
